Questions about OpenGL, a library for rendering 2D and 3D graphics

learn more… | top users | synonyms

3
votes
0answers
424 views

Update OpenGL to 2.0

I want to play a number of games that I have installed on my Ubuntu Install, however in order to do that my OpenGL is outdated, usually requiring version 2.0 as a minimal. I want to install 2.0, but ...
3
votes
0answers
679 views

Error message when running OpenGL programs with bumblebee

X Error of failed request: BadDrawable (invalid Pixmap or Window parameter) Major opcode of failed request: 152 (DRI2) Minor opcode of failed request: 8 (DRI2SwapBuffers ) Resource id in failed ...
3
votes
0answers
601 views

How can I play diablo 3 on playonlinux? Direct3D9 is not available without OpenGL

I have recently encountered a huge problem when installing diablo 3 on playonlinux (PoL). The game launch menu started but when I click on the play button the window close immediately and there is ...
3
votes
0answers
230 views

What GL libraries do I need to install the Finite Element Toolkit (FETK)?

Trying to Install " The Finite Element Toolkit " in Ubuntu 12.04. Downloaded the source file (tar.gz) for version 1.5 from here It has got a script to install all the tools that come with it, so ...
3
votes
0answers
719 views

opengl libraries for ubuntu running on Virtual Box

I am having Ubuntu 10.04 running on VirtualBox. Guest additions are installed successfully. But Guest additions do not provide the OpenGL library. To run open GL demo what needs to be installed. ...
3
votes
0answers
523 views

Ubuntu Nvidia Driver 310.14Beta Stretch OpenGL Feature

I have a HP Mini 311 running an outdated version of the Nvidia drivers (The recomended from the additional drivers option), alongside my Ubuntu 12.04. Now the problem I am running into is the feature ...
2
votes
0answers
42 views

Different versions of OpenGL for iGPU and dGPU

I have a laptop with an integrated GPU Intel HD Graphics 5500 and an NVIDIA GeForce 840M, and I am running Ubuntu 14.04. I'm trying to install the CUDA toolkit 7.5 and I need OpenGL 4.3 support. If I ...
2
votes
0answers
274 views

Building Vulkan Chopper demo on ubuntu

How to build nvidia vulkan chopper demo on ubuntu (16.04)? https://github.com/nvpro-samples/gl_vk_chopper After being able to build, I get segfault. Can someone make instruction how to build? (i ...
2
votes
0answers
4k views

libgl - failed to load driver: vboxvideo

I'm attempting to run this code to create a transparent xlib window with openGL features, but when I run the program I get these errors in the terminal: libGL error: pci id for fd 4: 80ee:beef, ...
2
votes
0answers
162 views

Steam Woes! OpenGL GLX context is not using direct rendering, which may cause performance problems

I do realize this has been discussed before,and extensivly. Problem is that software has updated, and therefore; the question has to. My error.. OpenGL GLX context is not using direct rendering, ...
2
votes
0answers
311 views

Radeon R9 280 graphics card isnt installing in 15.04

I have fglrx-updates installed but fglrxinfo shows display: :0.0 screen: 0 OpenGL vendor string: VMware, Inc. OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 3.6, 256 bits) OpenGL version ...
2
votes
0answers
2k views

Update OpenGL to 3.3 from 3.0 on Intel HD Graphics 3000 used Macbook air running Ubuntu 14.04

When I typed the following : $ glxinfo | grep "OpenGL version" OpenGL version string: 3.0 Mesa 10.6.0-devel I found from https://support.apple.com/en-ap/HT202823 Intel HD Graphics 3000 (with ...
2
votes
0answers
165 views

Desktop compositing issues with gtx 690 and Kubuntu 14.04

I'm having a bit of trouble with Kubuntu 14.04 on my desktop. I have a GTX 690 with the Nvidia 331 drivers installed (through the driver manager). Whenever I boot into Kubuntu, I'm met with terrible ...
2
votes
0answers
6k views

PlayOnLinux missing openGL 32 libraries

so I'm using Kubuntu 64 bit. (well that's ubuntu forum, but this is ubuntu derivative so I thought you might help me) and I wanted to install League of Legends through playonlinux (4.2.4). On 32 bit ...
2
votes
0answers
359 views

VMWare: Check if 3D Hardware is used for rendering or not

How do I check whether my VMWare installation is using the GPU on the computer or using software rendering? The output from glxinfo is OpenGL vendor string: VMware, Inc. OpenGL renderer string: ...
2
votes
0answers
237 views

Blank Screen upon login after installing openGL

I have an Inspiron N5010 running Ubuntu13.10 64b. It uses Intal HD Graphics (i.e. no ATI/Nvidia graphics card) I need a software that uses OpenGL, and I installed multiple packages using synaptic ...
2
votes
0answers
136 views

Why are there two sink input index generated by pulseaudio?

I'm planning to spawn a thread as I detect a new sink input index in pulseaudio. But when I run some application, I find out that a second sink index for same client is created. The system spawns a ...
2
votes
0answers
549 views

How to set up opengl on a dual graphics card laptop

I'm having trouble in getting newer version opengl. First, I get my graphics cards information using: lspci -nnk | grep VGA and it returns: 00:02.0 VGA compatible controller [0300]: Intel ...
1
vote
0answers
69 views

X2Go and OpenGL applications

I'm using X2Go software for remote desktop access to a home machine running Ubuntu 14.04. I have the x2goserver package installed on the server and x2goclient installed on my Ubuntu 14.04 client. Both ...
1
vote
0answers
201 views

Enabling VSYNC with Nvidia drivers

I am running Ubuntu 16.04 with a Nvidia GeForce GT 630M graphics card using the 361.42 Nvidia proprietary driver. I am trying to enable sync to vblank for OpenGL applications, but to no avail. The ...
1
vote
0answers
185 views

Ubuntu 16.04 - NVidia GTX 860M and OpenGL SL 4.5?

I'm using Ubuntu only to learn the OpenGL SL programming. I was on Debian version but I got a big problem and I'm tired to solve them (sometime just with an update). Whatever ... Now I'm on Ubuntu ...
1
vote
0answers
88 views

Is it possible to invoke OpenGL without a display?

In order to use continuous integration on an application that depends on OpenGL, I would like to be able to use GLX in an ubuntu docker container. I don't care about the application's rendered output; ...
1
vote
0answers
30 views

How to add OpenGL support files in codeblocks?

when i try to add the OpenGL files it showing like this
1
vote
0answers
446 views

How do I uninstall the mesa drivers now I've switched my graphics to nvidia?

As per Why-are-my-32bit-opengl-libraries-pointing-to-mesa-instead-of-nvidia, I've managed to get ldconfig to no longer reference mesa drivers by editing the conf files, but when the mesa GL drivers ...
1
vote
0answers
172 views

outdated GLSL version

I'm new to Ubuntu and I'm taking a computer graphics course in which we have a lab in shader programming. I know that my code works on a friends computer (OSX, integrated gpu, glsl version 3.3). When ...
1
vote
0answers
118 views

OpenGL sources: Libglu1-mesa-dev depends on libglu1-mesa (= 8.0.2-0ubuntu3) but 8.0.4-0ubuntu0.7 is to be installed

When trying to install an R package (rgl, which makes 3-D plots), R gives the following error: configure: error: missing required header GL/glu.h ERROR: configuration failed for package ‘rgl’ ...
1
vote
0answers
202 views

Need help with Mesa3D and updating OpenGl, Noob here

The issue here is that Ive been trying to update my OpenGl trough Mesa3d, I recently installed Mesa 10.6.7 successfully trough a package from Mesa3d official page (It was a pain to build the whole ...
1
vote
0answers
155 views

Can Anyone Help With This OpenGL Error?

Well After the headache of running Microsoft's Windows for a month, to play some games a fried recommended. I am in a blissful state now that I have returned to Linux :D. Just when I thought it couldn'...
1
vote
0answers
72 views

How to install gtkglextmm in Ubuntu LTS 14.04?

Can you let me know the steps to install "gtkglextmm" in Ubuntu LTS 14.04? For learning experience, I am trying to compile basic examples from "gtkglextmm"? According to the "README" file from "...
1
vote
0answers
265 views

Hybrid Nvidia and Intel cards, bumblebee optirun not working and OpenGL not being Intel

I have been fighting with the installation and correct usage of my Nvidia GTX960M together with an Intel i7-4720M CPU on Ubuntu 15.04. I have followed lots of links on this website, on ubuntu wiki ...
1
vote
0answers
33 views

updated from 14.04 to 14.10 internet is not working

I tried updating for the second time, worked but can't connect to my network and it can't connect to Ethernet either. When I tried opening a steam game, it have me an error. OpenGL GLX context is ...
1
vote
0answers
342 views

Ubuntu 14.04 - Can't use newest OpenGL version

I'm running Xubuntu 14.04 LTS on a laptop with an Nvidia GeForce GTX 765m with the nvidia-340 drivers from the xorg-edgers PPA. I'm trying to run an application that requires a recent version of ...
1
vote
0answers
656 views

OpenGL on Ubuntu 14.04

On a Dell XPS 13 with preinstalled Ubuntu 14.04 I have problems to get OpenGL example programs (www.opengl-tutorial.org) running. Everything compiles fine, however the window on the screen either is ...
1
vote
0answers
287 views

OpenGL Ubuntu 14.04

This is the first time I'm using this way to sort my problem out, usualy I find a answer when I duck it (duckduckgo version of google it ;D), anyways I got this PC with a integrated graphics card ...
1
vote
0answers
83 views

Graphics Messages while running LightTable on 14.04 x64

I'm new to Ubuntu, and receive the following issues when running Juno within LightTable: marktab@ubuntu0617:~$ ./LightTable/LightTable markab@ubuntu0617:~$ [2883:0504/161921:ERROR:browser_main_loop....
1
vote
0answers
167 views

After installing OpenGL to run genymotion, Ubuntu 14.04 stopped booting

now I get error fatal server error no screens found. This is after I select failsafe X option. And if I continue normally I get messages like: Fontconfig warning /etc/fonts/conf.d/65-droid-sans-...
1
vote
0answers
51 views

New desktop dies when starting OpenGL screensavers

I got some new screensavers (sudo apt-get install xscreensaver xscreensaver-gl-extra xscreensaver-data-extra) and it had some nice OpenGL screensavers on it. When I start some of them (one of them is ...
1
vote
0answers
405 views

'Undefined References' Error during OpenGL Pgm Compiling (freeglut3)

I tried to run an openGL pgm in my Ubuntu 14.04 and i have freeglut3 and dev installed. But it returns some 'Undefined References' to all the functions that i have used in my pgm. rahul@rahul-System-...
1
vote
0answers
398 views

freeglut OpenGL GLX extension not supported by display ':0'

I am trying to run an application with OpenGL and the following message apears: freeglut OpenGL GLX extension not supported by display ':0' I already read lots of topics here and in stackexchange ...
1
vote
0answers
446 views

OpenGL does not work properly on Ubuntu 14.04 with Mesa 10.1.3

I upgraded from Ubuntu 12 to 14.04 and I'm now experiencing problems with some software that uses OpenGL. Instead of rendering images it renders just black screen. I know that libglew and GLX ...
1
vote
0answers
604 views

Optimus/Nvidia and OpengGL giving troubles

First time writing on this forum so be nice :D I am a programmer but I mostly worked on windows so far , I wanted to start learning linux more seriously and being able to compile my cpp programs on ...
1
vote
0answers
225 views

How to do off-screen render with OpenGL in Ubuntu with XServer?

I have an application that uses OpenGL 4.2 to do off-screen render [the result goes to a video in my case]. I need to run it on Ubuntu 13.10 Server. I don't need (and don't want) to have the actual ...
1
vote
0answers
98 views

Why won't `import` correctly capture the inside of a window rendered in OpenGL, while `scrot` will?

I have been experimenting with OpenGL recently, and I decided to take a screenshot of one of my fancy triangles with import, which is part of imagemagick. However, on two different computers, one ...
1
vote
0answers
889 views

Driver related OpenGL graphics problem(Minecraft and steam wont start)

This has been bothering me for about a week now, I have been looking up answers on forums and everything and nothing seems to work. What happens is when i start minecraft i get this stacktrace: org....
0
votes
0answers
9 views

opengl update on Xubuntu

I want update my GPU to opengl 3.1 from opengl 1.4 Mesa 11.0.4. system = Xubuntu 15.10 GPU = ???? CPU = Intel Atom N270 Monitor = Samsung S24D300
0
votes
0answers
21 views

Paraview in Ubuntu

I am now using Paraview alongside Openfoam. I have a problem regarding the viewing of my model. Whenever I click Apply, the model appears, and after a while, it disappears. Then whenever I try to ...
0
votes
0answers
11 views

opengl extension string on radeon/ati on ubuntu

Using the proprietary fglrx driver on ubuntu 14.04, on a r9 390 gpu. With catalyst AI off the opengl extensions overflow a variable in Wolfenstein Enemy Territory, so no extensions get used. With ...
0
votes
0answers
66 views

OpenGl 3.3 install help

I am using ubuntu 14.04 which is using opengl 3.0 but the game I want to play need opengl 3.3 but I don't know how to install it. Will upgrade to ubuntu 16.04 fix the problem. My computer is an hp ...
0
votes
0answers
85 views

unity3d OpenGL issue

When I start unity3d it shows "OpenGL 2.1 (Deprecated)" in the title bar. running glxinfo | grep version shows this: server glx version string: 1.4 client glx version string: 1.4 GLX version: 1.4 ...
0
votes
0answers
181 views

OpenGL GLX extension not supported by display

So the title is pretty self explanatory about my problem. I went on vacation a couple weeks ago, everything was fine and now, two weeks later, I get back, no one has touched the computer and this ...